Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Property

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.Property

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieProperty

public class Property
extends TieSystemObject

A Property describes a name/value pair of varying datatype, that can be used for multiple purposes to store iFS values.

Instances of Property are dedicated to a single PropertyBundle, which represents a collection of Propery.

See Also:
  `PropertyDefinition`, `PropertyBundle`, `PropertyBundleDefinition`

Field Summary
`static java.lang.String` | `BOOLEANVALUE_ATTRIBUTE` The value of this Property if the datatype is a Boolean.
`static java.lang.String` | `BOOLEANVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Booleans.
`static java.lang.String` | `BUNDLE_ATTRIBUTE` The PropertyBundle to which this property belongs.
`static java.lang.String` | `CLASS_NAME` Name of this class.
`static java.lang.String` | `DATATYPE_ATTRIBUTE` The datatype of this Property - either scalar or array of integer, long, double, string, boolean, DirectoryObject, PublicObject, SchemaObject, SystemObject.
`static java.lang.String` | `DATEVALUE_ATTRIBUTE` The value of this Property if the datatype is a Date.
`static java.lang.String` | `DATEVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Dates.
`static java.lang.String` | `DIRECTORYOBJECTVALUE_ATTRIBUTE` The value of this Property if the datatype is a DirectoryObject.
`static java.lang.String` | `DIRECTORYOBJECTVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of DirectoryObjects.
`static java.lang.String` | `DOUBLEVALUE_ATTRIBUTE` The value of this Property if the datatype is a Double.
`static java.lang.String` | `DOUBLEVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Doubles.
`static java.lang.String` | `INTEGERVALUE_ATTRIBUTE` The value of this Property if the datatype is an Integer.
`static java.lang.String` | `INTEGERVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Integers.
`static java.lang.String` | `LONGVALUE_ATTRIBUTE` The value of this Property if the datatype is a Long.
`static java.lang.String` | `LONGVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Longs.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the Property.
`static java.lang.String` | `PUBLICOBJECTVALUE_ATTRIBUTE` The value of this Property if the datatype is a PublicObject.
`static java.lang.String` | `PUBLICOBJECTVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of PublicObjects.
`static java.lang.String` | `SCHEMAOBJECTVALUE_ATTRIBUTE` The value of this Property if the datatype is a SchemaObject.
`static java.lang.String` | `SCHEMAOBJECTVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of SchemaObjects.
`static java.lang.String` | `STRINGVALUE_ATTRIBUTE` The value of this Property if the datatype is a String.
`static java.lang.String` | `STRINGVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Strings.
`static java.lang.String` | `SYSTEMOBJECTVALUE_ATTRIBUTE` The value of this Property if the datatype is a SystemObject.
`static java.lang.String` | `SYSTEMOBJECTVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of SystemObjects.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Method Summary
`PropertyBundle` | `getBundle()` Gets the BUNDLE attribute of this Property.
`int` | `getDataType()` Gets the data type of this Property.
`AttributeValue` | `getValue()` Gets the value of this Property as an AttributeValue.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`void` | `setValue(AttributeValue av)` Sets the value and data type of this Property.

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Name of this class.

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  The name of the Property. This attribute is required since the structure of properties is a name/value pair.

### BUNDLE_ATTRIBUTE

    public static final java.lang.String BUNDLE_ATTRIBUTE

  The PropertyBundle to which this property belongs.

### DATATYPE_ATTRIBUTE

    public static final java.lang.String DATATYPE_ATTRIBUTE

  The datatype of this Property - either scalar or array of integer, long, double, string, boolean, DirectoryObject, PublicObject, SchemaObject, SystemObject.

### BOOLEANVALUE_ATTRIBUTE

    public static final java.lang.String BOOLEANVALUE_ATTRIBUTE

  The value of this Property if the datatype is a Boolean.

### INTEGERVALUE_ATTRIBUTE

    public static final java.lang.String INTEGERVALUE_ATTRIBUTE

  The value of this Property if the datatype is an Integer.

### LONGVALUE_ATTRIBUTE

    public static final java.lang.String LONGVALUE_ATTRIBUTE

  The value of this Property if the datatype is a Long.

### DOUBLEVALUE_ATTRIBUTE

    public static final java.lang.String DOUBLEVALUE_ATTRIBUTE

  The value of this Property if the datatype is a Double.

### STRINGVALUE_ATTRIBUTE

    public static final java.lang.String STRINGVALUE_ATTRIBUTE

  The value of this Property if the datatype is a String.

### DATEVALUE_ATTRIBUTE

    public static final java.lang.String DATEVALUE_ATTRIBUTE

  The value of this Property if the datatype is a Date.

### SCHEMAOBJECTVALUE_ATTRIBUTE

    public static final java.lang.String SCHEMAOBJECTVALUE_ATTRIBUTE

  The value of this Property if the datatype is a SchemaObject.

### SYSTEMOBJECTVALUE_ATTRIBUTE

    public static final java.lang.String SYSTEMOBJECTVALUE_ATTRIBUTE

  The value of this Property if the datatype is a SystemObject.

### PUBLICOBJECTVALUE_ATTRIBUTE

    public static final java.lang.String PUBLICOBJECTVALUE_ATTRIBUTE

  The value of this Property if the datatype is a PublicObject.

### DIRECTORYOBJECTVALUE_ATTRIBUTE

    public static final java.lang.String DIRECTORYOBJECTVALUE_ATTRIBUTE

  The value of this Property if the datatype is a DirectoryObject.

### BOOLEANVALUES_ATTRIBUTE

    public static final java.lang.String BOOLEANVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of Booleans.

### INTEGERVALUES_ATTRIBUTE

    public static final java.lang.String INTEGERVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of Integers.

### LONGVALUES_ATTRIBUTE

    public static final java.lang.String LONGVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of Longs.

### DOUBLEVALUES_ATTRIBUTE

    public static final java.lang.String DOUBLEVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of Doubles.

### STRINGVALUES_ATTRIBUTE

    public static final java.lang.String STRINGVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of Strings.

### DATEVALUES_ATTRIBUTE

    public static final java.lang.String DATEVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of Dates.

### SCHEMAOBJECTVALUES_ATTRIBUTE

    public static final java.lang.String SCHEMAOBJECTVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of SchemaObjects.

### SYSTEMOBJECTVALUES_ATTRIBUTE

    public static final java.lang.String SYSTEMOBJECTVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of SystemObjects.

### PUBLICOBJECTVALUES_ATTRIBUTE

    public static final java.lang.String PUBLICOBJECTVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of PublicObjects.

### DIRECTORYOBJECTVALUES_ATTRIBUTE

    public static final java.lang.String DIRECTORYOBJECTVALUES_ATTRIBUTE

  The value of this Property if the datatype is an array of DirectoryObjects.

Method Detail

### getBundle

    public PropertyBundle getBundle()
                             throws IfsException

  Gets the BUNDLE attribute of this Property.
  Returns:
    the PropertyBundle object held in the BUNDLE attribute
  Throws:
    `IfsException` - if operation fails.

### getDataType

    public final int getDataType()
                          throws IfsException

  Gets the data type of this Property.

  Equivalent to:

       AttributeValue av = getAttributeByUpperCaseName(DATATYPE_ATTRIBUTE);
       return av.getInteger(getSession());

  Returns:
    the data type
  Throws:
    `IfsException` - if the operation fails

### getValue

    public final AttributeValue getValue()
                                  throws IfsException

  Gets the value of this Property as an AttributeValue.

  This method returns an AttributeValue whose type is appropriate for the data type of this Property.

  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails

### setValue

    public void setValue(AttributeValue av)
                  throws IfsException

  Sets the value and data type of this Property.
  Parameters:
    `av` - the AttributeValue containing the new value; implies the data type
  Throws:
    `IfsException` - if the operation fails

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Handles the specified event.
  Overrides:
    `handleEvent` in class `LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD